package nckd.jxccl.wtc.wtabm.web.vaapply;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.bos.logging.Log;
import kd.bos.logging.LogFactory;
import kd.sdk.plugin.Plugin;
import nckd.jxccl.wtc.wtabm.web.validate.VaApplySubmitValidator;

/**
 * Tyx
 * 2025-09-28
 * 休假申请提交校验
 */
public class VaApplySubmitOpPluginEx extends AbstractOperationServicePlugIn implements Plugin {

    private static final Log log = LogFactory.getLog(VaApplySubmitOpPluginEx.class);

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new VaApplySubmitValidator());
    }
}